function makeJobs0517

class  = 'fast';
binary = 'psg-release.0517.LOW';

nodeFrom = 8;
nodeTo   = 8;
nodeStep = 1;
ratioYn = 0.107;
ratioXY = 0.590;
cpu = optCPU(55);

problemFrom = 2;
problemTo = 11;
problems = optIscasComb(ratioXY*ratioYn, ratioYn, problemFrom, problemTo);
nProblems = length(problems);

%%% Random-search jobs
epsilon = optEpsilon();

% function [out,delta] = optNodes2(deltaRatio, to, from, step, maxNodes, maxPerNode)
nodes = optNodes2(0.0, nodeTo, nodeFrom, nodeStep);
nNodes = length(nodes);

for p = 1:nProblems
  if (p==3 || p==5)
    continue
  end
  for n = 1:nNodes
    stop = optStopGen(p+problemFrom-1);

    delta = str2double(nodes{n}(3).value);
    uid = sprintf('comb%02g_rand_D%02g', p+problemFrom-1, delta);

    options = [  problems{p} nodes{n} epsilon{1} cpu{1} stop{1} ];
    writeJob2(uid, class, binary, options, 1, 5);
  end
end




%%% Parallel jobs
cpu = optCPU(1800);

%%% delta = 1
deltaRatio = -1;
nodes = optNodes2(deltaRatio, nodeTo, nodeFrom, nodeStep);
nNodes = length(nodes);

for p = 1:nProblems
  if (p==3 || p==5)
    continue
  end
  for n = 1:nNodes
    stop = optStopGen(p+problemFrom-1);

    delta = str2double(nodes{n}(3).value);
    uid = sprintf('comb%02g_gene_D%02g', p+problemFrom-1, delta);

    options = [  problems{p} nodes{n} cpu{1} stop{1} ];
    writeJob2(uid, class, binary, options, 1, 5);
  end
end


%%% delta = 2
deltaRatio = -2;
nodes = optNodes2(deltaRatio, nodeTo, nodeFrom, nodeStep);
nNodes = length(nodes);

for p = 1:nProblems
  if (p==3 || p==5)
    continue
  end
  for n = 1:nNodes
    stop = optStopGen(p+problemFrom-1);

    delta = str2double(nodes{n}(3).value);
    uid = sprintf('comb%02g_gene_D%02g', p+problemFrom-1, delta);

    options = [  problems{p} nodes{n} cpu{1} stop{1} ];
    writeJob2(uid, class, binary, options, 1, 5);
  end
end


%%% delta = p/2
deltaRatio = 0.5;
nodes = optNodes2(deltaRatio, nodeTo, nodeFrom, nodeStep);
nNodes = length(nodes);

for p = 1:nProblems
  if (p==3 || p==5)
    continue
  end
  for n = 1:nNodes
    stop = optStopGen(p+problemFrom-1);

    delta = str2double(nodes{n}(3).value);
    uid = sprintf('comb%02g_gene_D%02g', p+problemFrom-1, delta);

    options = [  problems{p} nodes{n} cpu{1} stop{1} ];
    writeJob2(uid, class, binary, options, 1, 5);
  end
end


%%% delta = p-1
deltaRatio = 1.0;
nodes = optNodes2(deltaRatio, nodeTo, nodeFrom, nodeStep);
nNodes = length(nodes);

for p = 1:nProblems
  if (p==3 || p==5)
    continue
  end
  for n = 1:nNodes
    stop = optStopGen(p+problemFrom-1);

    delta = str2double(nodes{n}(3).value);
    uid = sprintf('comb%02g_gene_D%02g', p+problemFrom-1, delta);

    options = [  problems{p} nodes{n} cpu{1} stop{1} ];
    writeJob2(uid, class, binary, options, 1, 5);
  end
end

end
